All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Class AuthorizationInfo

    com.sas.services.information.metadata.AuthorizationInfo

All Implemented Interfaces:
  AuthorizationInfoInterface, java.io.Serializable, java.rmi.Remote

    public class AuthorizationInfo

implements AuthorizationInfoInterface, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`AuthorizationInfo()`
`AuthorizationInfo(com.sas.services.information.metadata.AuthorizationIdentityInfoInterface authIdentityInfo, java.util.List<PermissionInfoInterface> permissionInfoList)`

Method Summary
`com.sas.services.information.metadata.AuthorizationIdentityInfoInterface` | `getIdentityInfo()` Returns the identity object reference
`java.util.List<PermissionInfoInterface>` | `getPermissionInfoList()` Returns the List of MdPermissioinInfo instances for this MdAuthorizationInfo
`void` | `setIdentityInfo(com.sas.services.information.metadata.AuthorizationIdentityInfoInterface authIdentityInfo)` Sets the identity object reference
`void` | `setPermissionInfoList(java.util.List<PermissionInfoInterface> permissionInfoList)` Sets a List of MdPermissioinInfo instances for this MdAuthorizationInfo
`java.lang.String` | `toString()`

Constructor Detail

### AuthorizationInfo

    public AuthorizationInfo()

### AuthorizationInfo

    public AuthorizationInfo(com.sas.services.information.metadata.AuthorizationIdentityInfoInterface authIdentityInfo,
                             java.util.List<PermissionInfoInterface> permissionInfoList)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getIdentityInfo

    public com.sas.services.information.metadata.AuthorizationIdentityInfoInterface getIdentityInfo()

  Description copied from interface: `AuthorizationInfoInterface`
  Returns the identity object reference

  Specified by:
    `getIdentityInfo` in interface `AuthorizationInfoInterface`
  Returns:
    identity

### setIdentityInfo

    public void setIdentityInfo(com.sas.services.information.metadata.AuthorizationIdentityInfoInterface authIdentityInfo)

  Description copied from interface: `AuthorizationInfoInterface`
  Sets the identity object reference

  Specified by:
    `setIdentityInfo` in interface `AuthorizationInfoInterface`

### getPermissionInfoList

    public java.util.List<PermissionInfoInterface> getPermissionInfoList()

  Description copied from interface: `AuthorizationInfoInterface`
  Returns the List of MdPermissioinInfo instances for this MdAuthorizationInfo

  Specified by:
    `getPermissionInfoList` in interface `AuthorizationInfoInterface`
  Returns:
    List<`PermissionInfoInterface`>

### setPermissionInfoList

    public void setPermissionInfoList(java.util.List<PermissionInfoInterface> permissionInfoList)

  Description copied from interface: `AuthorizationInfoInterface`
  Sets a List of MdPermissioinInfo instances for this MdAuthorizationInfo

  Specified by:
    `setPermissionInfoList` in interface `AuthorizationInfoInterface`

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.